#include "Tutorials.h"

using namespace SolidFramework::Pdf;

bool EditDocumentProperties(const wstring & pdfPath, const wstring & outputPath)
{
    // Create a PdfDocument and open the PDF file
    auto document = make_shared<PdfDocument>(pdfPath);
    document->Open();

    // Modify the document info
    auto documentInfo = document->GetInfo();
    documentInfo->SetTitle(L"Modified Properties");
    documentInfo->SetSubject(L"PDF Manipulation");
    documentInfo->SetCreator(L"SolidFramework Samples");
    documentInfo->SetProducer(L"SolidFramework " + SolidFramework::Platform::Platform::GetFullVersion());

    wcout << L"Editing document properties for " << outputPath << endl;

    // Save the modified pdf
    document->SaveAs(outputPath, SolidFramework::Plumbing::OverwriteMode::ForceOverwrite);

    wcout << L"Successfully edited document properties for " << outputPath << endl << endl;
    return true;
}