#include "Tutorials.h"


bool InitializeSolidFramework(const wstring & frameworkPath, const wstring & licensePath)
{
    // Initialize SolidFramework
    if (!SolidFramework::Initialize(frameworkPath))
    {
        wcout << L"Couldn't initialize SolidFramework from path " << frameworkPath << endl;
        return false;
    }

    // Import the license
    try
    {
        SolidFramework::License::Import(licensePath);
    }
    catch (SolidFramework::InvalidLicenseException &ex)
    {
        wcout << L"Couldn't import license from path " << licensePath << L" due to exception: " << ex.what() << endl;
        return false;
    }
    return true;
}